PASSWD(1)

NOME
passwd - cambia la password utente

SINOSSI

passwd [opzioni] [LOGIN]

DESCRIZIONE

The passwd command changes passwords for user accounts. A normal user may only change the password for their own account, while the superuser may change the password for any account. passwd also changes the account or associated password validity period.

  Modifiche delle password

All'utente viene prima chiesta la propria password attuale, se presente. Questa password viene cifrata e confrontata con quella memorizzata. All'utente viene data solo una possibilità di inserire la password corretta. Il super utente salta questo passo in modo da poter modificare password dimenticate.

After the password has been entered, password aging information is checked to see if the user is permitted to change the password at this time. If not, passwd refuses to change the password and exits.

All'utente viene quindi chiesto di inserire la nuova password due volte. Le due password sono confrontate e devono essere uguali affinché la password venga accettata.

Quindi viene misurata la complessità della password. In linea di massima le password dovrebbero contenere dai 6 agli 8 caratteri, includendovi uno o più caratteri da ciascuno dei seguenti insiemi:

    • lettere minuscole

    • numeri da 0 a 9

    • segni di punteggiatura

Care must be taken not to include the system default erase or kill characters. passwd will reject any password which is not suitably complex.

  Suggerimenti per password utente

The security of a password depends upon the strength of the encryption algorithm and the size of the key space. The legacy UNIX System encryption method is based on the NBS DES algorithm. More recent methods are now recommended (see ENCRYPT_METHOD). The size of the key space depends upon the randomness of the password which is selected.

La compromissione di una password avviene normalmente a seguito di incuria nella scelta o nella gestione della password. Per questo motivo non si devono utilizzare password che appaiono nei dizionari o che devono essere scritte. La password non deve essere uno nome proprio, il numero della patente, la data di nascita o l'indirizzo. Uno qualunque di questi potrebbe essere indovinato per violare la sicurezza del sistema.

You can find advice on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

OPZIONI

The options which apply to the passwd command are:

-a, --all
    This option can be used only with -S and causes show status for all users.

-d, --delete
    Cancella la password utente (la rende vuota). Questo è un metodo veloce per disabilitare la password per l'account. Imposta l'account indicato come senza password.

-e, --expire
    Fa scadere subito la password dell'utente. Il che ha l'effetto di forzare un cambio password al successivo accesso da parte dell'utente.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-i, --inactive INACTIVE
    This option is used to disable an account after the password has been expired for a number of days. After a user account has had an expired password for INACTIVE days, the user may no longer sign on to the account.

-k, --keep-tokens
    Indica che il cambio password va effettuato solo per i token (password) di autenticazione scaduti. L'utente vuole mantenere inalterati i token non scaduti.

-l, --lock
    Blocca la password dell'account indicato. Questa opzione disabilita una password modificandola in modo che non corrisponda a nessun valore cifrato (aggiunge un «!» all'inizio della password).

    Note that this does not disable the account. The user may still be able to login using another authentication token (e.g. an SSH key). To disable the account, administrators should use usermod --expiredate 1 (this set the account's expire date to Jan 2, 1970).

    Gli utenti con password bloccata non la possono cambiare.

-n, --mindays MIN_DAYS
    Set the minimum number of days between password changes to MIN_DAYS. A value of zero for this field indicates that the user may change their password at any time.

-q, --quiet
    Modalità silenziosa.

-r, --repository REPOSITORY
    change password in REPOSITORY repository

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-S, --status
    Visualizza le informazioni sullo stato di un account. Lo stato consiste di 7 campi. Il primo campo è il nome dell'utente. Il secondo campo indica se l'account ha una password bloccata (L), non ha password (NP) o ha una password valida (P). Il terzo campo contiene la data di ultima modifica della password. I successivi quattro campi sono l'età minima, la massima, il periodo di avviso e quello di inattività. Queste età sono espresse in giorni.

-u, --unlock
    Unlock the password of the named account. This option re-enables a password by changing the password back to its previous value (to the value before using the -l option).

-w, --warndays WARN_DAYS
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned that their password is about to expire.

-x, --maxdays MAX_DAYS
    Set the maximum number of days a password remains valid. After MAX_DAYS, the password is required to be changed.

    Passing the number -1 as MAX_DAYS will remove checking a password's validity.

AVVISI/CAVEAT

Il controllo della complessità delle password varia da sistema a sistema. All'utente è caldamente consigliato si utilizzare una password che ritenga sufficientemente complessa.

Gli utenti possono non essere in grado di cambiare la propria password se NIS è abilitato ed essi non sono collegati al server NIS.

passwd uses PAM to authenticate users and to change their passwords.

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

/etc/pam.d/passwd
    PAM configuration for passwd.

VALORI RESTITUITI

The passwd command exits with the following values:

0
    success

1
    permission denied

2
    invalid combination of options

3
    unexpected failure, nothing done

4
    unexpected failure, passwd file missing

5
    passwd file busy, try again

6
    invalid argument to option

VEDERE ANCHE

chpasswd(8), passwd(5), shadow(5), usermod(8).